<?php
defined('IN_COPPERMINE') or die('Not in Coppermine...');

function hidemypics_secr ($len = 13)
{
	if (function_exists('random_bytes')) {
		return bin2hex(random_bytes($len));
	}
	if (function_exists('openssl_random_pseudo_bytes')) {
		return bin2hex(openssl_random_pseudo_bytes($len));
	}
	if (function_exists('mcrypt_create_iv')) {
		return bin2hex(mcrypt_create_iv($len, MCRYPT_DEV_URANDOM));
	}
}

function hidemypics_doInstall ()
{
	global $CONFIG, $thisplugin;

	if (isset($CONFIG['hidemypics_cfg'])) return true;
	$cfg = array('secr'=>hidemypics_secr(),'timo'=>5);

	$cfc = '<?php'."\n".'$hmp_cfg = \''.json_encode($cfg)."';\n";
	file_put_contents(dirname(__FILE__).'/cfg.php', $cfc);

	cpg_config_set('hidemypics_nrc', 1, true);

	return true;
}

function hidemypics_doUninstall ()
{
	global $CONFIG;
	cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name LIKE 'hidemypics_%'");
	return true;
}
